package com.xmomen.module.base.model;

import com.xmomen.module.member.model.MemberAddressCreate;
import com.xmomen.module.member.model.MemberAddressUpdate;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

public class UpdateMember implements Serializable {

    //会员编号
    private String memberCode;

    //姓名
    @NotNull
    @NotBlank
    private String name;

    //电话号码
    @NotNull
    @NotBlank
    private String phoneNumber;

    //座机号码
    private String telNumber;

    //办公电话
    private String officeTel;

    //会员类型
    private Integer memberType;

    //公司ID
    private Integer cdCompanyId;

    //用户ID
    private Integer cdUserId;

    //地址集合
    List<MemberAddressUpdate> memberAddressList;

    //获取会员编号
    public String getMemberCode() {
        return memberCode;
    }

    //设置会员编号
    public void setMemberCode(String memberCode) {
        this.memberCode = memberCode;
    }

    //获取姓名
    public String getName() {
        return name;
    }

    //设置姓名
    public void setName(String name) {
        this.name = name;
    }

    //获取电话号码
    public String getPhoneNumber() {
        return phoneNumber;
    }

    //设置电话号码
    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }


    //获取座机号码
    public String getTelNumber() {
        return telNumber;
    }

    //设置座机号码
    public void setTelNumber(String telNumber) {
        this.telNumber = telNumber;
    }

    //获取办公电话
    public String getOfficeTel() {
        return officeTel;
    }

    //设置办公电话
    public void setOfficeTel(String officeTel) {
        this.officeTel = officeTel;
    }

    //获取会员类型
    public Integer getMemberType() {
        return memberType;
    }

    //设置会员类型
    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }

    //获取公司ID
    public Integer getCdCompanyId() {
        return cdCompanyId;
    }

    //设置公司ID
    public void setCdCompanyId(Integer cdCompanyId) {
        this.cdCompanyId = cdCompanyId;
    }

    //获取用户ID
    public Integer getCdUserId() {
        return cdUserId;
    }

    //设置用户ID
    public void setCdUserId(Integer cdUserId) {
        this.cdUserId = cdUserId;
    }

    //获取地址集合
    public List<MemberAddressUpdate> getMemberAddressList() {
        return memberAddressList;
    }

    //设置地址集合
    public void setMemberAddressList(List<MemberAddressUpdate> memberAddressList) {
        this.memberAddressList = memberAddressList;
    }
}
